Page MenuHomePhabricator

[Regression FF43] In Firefox, double click on a cell makes the page jump down and doesn't allow to change cell contents
Closed, ResolvedPublic1 Story Points

Description

See https://de.wikipedia.org/wiki/Liste_der_Tabellenf%C3%BChrer_der_Fu%C3%9Fball-Bundesliga?veaction=edit .
In Firefox, double click on any cell will cause the page to scroll down; the table options pop-up appears right below the table, and I can't access cell's contents anyway.
(Per Diwas, current workaround is clicking + pressing Enter).

Event Timeline

Elitre created this task.Feb 27 2016, 5:41 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 27 2016, 5:41 PM
Jdforrester-WMF renamed this task from In Firefox, double click on a cell makes the page jump down and doesn't allow to change cell contents to [Regression] In Firefox, double click on a cell makes the page jump down and doesn't allow to change cell contents.Feb 28 2016, 11:39 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF added a subscriber: Esanders.
DLynch added a subscriber: DLynch.Feb 29 2016, 3:34 PM

I actually updated Firefox from 42 to 43 while checking this out, and the issue wasn't happening in 42 but started happening after the update, so it might be some sort of regression in Firefox itself.

Jdforrester-WMF renamed this task from [Regression] In Firefox, double click on a cell makes the page jump down and doesn't allow to change cell contents to [Regression FF43] In Firefox, double click on a cell makes the page jump down and doesn't allow to change cell contents.Feb 29 2016, 4:01 PM
Samat added a subscriber: Samat.Mar 4 2016, 6:27 PM
Tgr added a subscriber: Tgr.Mar 4 2016, 9:54 PM

In some contexts, single click scrolls to bottom as well (and selects all contents). See T128825 and this video.

Frakir added a subscriber: Frakir.Mar 9 2016, 2:36 PM

Double clicking opens the last table cell for editing, no matter which cell is double clicked. A testpage exist at nowiki.

Change 277104 had a related patch set uploaded (by Esanders):
Ensure table cells are ce=true before computing offsets

https://gerrit.wikimedia.org/r/277104

Change 277104 merged by jenkins-bot:
Ensure table cells are ce=true before computing offsets

https://gerrit.wikimedia.org/r/277104

Change 277181 had a related patch set uploaded (by Jforrester):
Ensure table cells are ce=true before computing offsets

https://gerrit.wikimedia.org/r/277181

Change 277181 merged by jenkins-bot:
Ensure table cells are ce=true before computing offsets

https://gerrit.wikimedia.org/r/277181

Jdforrester-WMF closed this task as Resolved.Mar 14 2016, 4:07 PM
Jdforrester-WMF removed a project: Patch-For-Review.